<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="zh">
<head>
<!-- Generated by javadoc (15) on Thu Jan 07 21:59:30 CST 2021 -->
<title>DBMgr</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-07">
<meta name="description" content="declaration: package: util, class: DBMgr">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/DBMgr.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">util</a></div>
<h1 title="Class DBMgr" class="title">Class DBMgr</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">util.DBMgr</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">DBMgr</span>
extends java.lang.Object</pre>
<div class="block"><p>
 The Class DBMgr<br>
 DBMgr類別（class）主要管理與資料庫建立與關閉連線之方法（method），並儲存相關之設定資料<br>
 每個要與資料庫建立連線之類別應該import本類別
 </p></div>
<dl class="notes">
<dt>Since:</dt>
<dd>1.0.0</dd>
<dt>Version:</dt>
<dd>1.0.0</dd>
<dt>Author:</dt>
<dd>IPLab</dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">DBMgr</a></span>()</code></th>
<td class="col-last">
<div class="block">實例化（Instantiates）一個新的（new）DBMgr物件</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#close(java.sql.ResultSet,java.sql.Statement,java.sql.Connection)">close</a></span>&#8203;(java.sql.ResultSet&nbsp;rs,
java.sql.Statement&nbsp;stm,
java.sql.Connection&nbsp;conn)</code></th>
<td class="col-last">
<div class="block">關閉所有資料庫連線與釋放SQL資源</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#close(java.sql.Statement,java.sql.Connection)">close</a></span>&#8203;(java.sql.Statement&nbsp;stm,
java.sql.Connection&nbsp;conn)</code></th>
<td class="col-last">
<div class="block">關閉所有資料庫連線與釋放SQL資源</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.sql.Connection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getConnection()">getConnection</a></span>()</code></th>
<td class="col-last">
<div class="block">透過JDBC建立資料庫之連線</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#stringToArray(java.lang.String,java.lang.String)">stringToArray</a></span>&#8203;(java.lang.String&nbsp;data,
java.lang.String&nbsp;delimiter)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>DBMgr</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">DBMgr</span>()</div>
<div class="block">實例化（Instantiates）一個新的（new）DBMgr物件</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getConnection()">
<h3>getConnection</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.sql.Connection</span>&nbsp;<span class="member-name">getConnection</span>()</div>
<div class="block">透過JDBC建立資料庫之連線</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the connection 回傳所建立之資料庫連線</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="close(java.sql.Statement,java.sql.Connection)">
<h3>close</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">close</span>&#8203;(<span class="parameters">java.sql.Statement&nbsp;stm,
java.sql.Connection&nbsp;conn)</span></div>
<div class="block">關閉所有資料庫連線與釋放SQL資源</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>stm</code> - SQL查詢之指令</dd>
<dd><code>conn</code> - 資料庫之連線</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="close(java.sql.ResultSet,java.sql.Statement,java.sql.Connection)">
<h3>close</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">close</span>&#8203;(<span class="parameters">java.sql.ResultSet&nbsp;rs,
java.sql.Statement&nbsp;stm,
java.sql.Connection&nbsp;conn)</span></div>
<div class="block">關閉所有資料庫連線與釋放SQL資源</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>rs</code> - 資料庫檢索後之結果資料</dd>
<dd><code>stm</code> - SQL查詢之指令</dd>
<dd><code>conn</code> - 資料庫之連線</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="stringToArray(java.lang.String,java.lang.String)">
<h3>stringToArray</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">stringToArray</span>&#8203;(<span class="parameters">java.lang.String&nbsp;data,
java.lang.String&nbsp;delimiter)</span></div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>data</code> - </dd>
<dd><code>delimiter</code> - </dd>
<dt>Returns:</dt>
<dd>String[]</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/DBMgr.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
